Issue2032

classification
Title: compiler.pycodegen: SC_GLOBAL_EXPLICT -> SC_GLOBAL_EXPLICIT
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, fwierzbicki
Priority: Keywords:

Created on 2013-03-23.21:56:10 by Arfrever, last changed 2014-08-07.06:41:39 by Arfrever.

Messages
msg7972 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2013-03-23.21:56:10
Revision f763cd15ee2b backported fix of typo in compiler.consts module (http://bugs.python.org/issue15212).

Jython's Lib/compiler/pycodegen.py needs to use SC_GLOBAL_EXPLICIT instead of SC_GLOBAL_EXPLICT to avoid exception.

$ jython2.7 -c 'import compiler'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/share/jython-2.7/Lib/compiler/__init__.py", line 31, in <module>
    from compiler.pycodegen import compile, compileFile
  File "/usr/share/jython-2.7/Lib/compiler/pycodegen.py", line 11, in <module>
    from compiler.consts import SC_LOCAL, SC_GLOBAL_IMPLICIT, SC_GLOBAL_EXPLICT, \
ImportError: cannot import name SC_GLOBAL_EXPLICT
msg8908 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2014-08-07.06:41:39
http://hg.python.org/jython/rev/c31173ad9f71
http://hg.python.org/jython/rev/ff62b98060a3
History
Date User Action Args
2014-08-07 06:41:39Arfreversetmessages: + msg8908
2014-08-06 17:00:43alex.gronholmsetstatus: open -> closed
resolution: accepted -> fixed
2014-05-04 19:48:53zyasoftsetresolution: accepted
2013-03-23 21:56:10Arfrevercreate